UnsupervisedSubsetEvaluator

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weka.attributeSelection
Class UnsupervisedSubsetEvaluator

    java.lang.Object
      weka.attributeSelection.ASEvaluation
          weka.attributeSelection.UnsupervisedSubsetEvaluator

All Implemented Interfaces:
  java.io.Serializable, SubsetEvaluator, CapabilitiesHandler, RevisionHandler

    public abstract class UnsupervisedSubsetEvaluator

extends ASEvaluation
implements SubsetEvaluator

Abstract unsupervised attribute subset evaluator.

Version:
  $Revision: 1.10 $
Author:
  Mark Hall (mhall@cs.waikato.ac.nz)
See Also:
  Serialized Form

Constructor Summary
`UnsupervisedSubsetEvaluator()`

Method Summary
`abstract Clusterer` | `getClusterer()` Get the clusterer
`abstract int` | `getNumClusters()` Return the number of clusters used by the subset evaluator
`abstract void` | `setClusterer(Clusterer d)` Set the clusterer to use

Methods inherited from class weka.attributeSelection.ASEvaluation
`buildEvaluator, forName, getCapabilities, getRevision, makeCopies, postProcess`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface weka.attributeSelection.SubsetEvaluator
`evaluateSubset`

Constructor Detail

### UnsupervisedSubsetEvaluator

    public UnsupervisedSubsetEvaluator()

Method Detail

### getNumClusters

    public abstract int getNumClusters()
                                throws java.lang.Exception

  Return the number of clusters used by the subset evaluator

  Returns:
    the number of clusters used
  Throws:
    `java.lang.Exception` - if an error occurs

### getClusterer

    public abstract Clusterer getClusterer()

  Get the clusterer

  Returns:
    the clusterer

### setClusterer

    public abstract void setClusterer(Clusterer d)

  Set the clusterer to use

  Parameters:
    `d` - the clusterer to use

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD